@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+TC:wght@500&display=swap");

.text-color {
    color: #ffffff;
}

.radio-24 {
    border-radius: 24px;
}

.radio-bottom-left-24 {
    border-bottom-left-radius: 24px;
}

.radio-bottom-right-24 {
    border-bottom-right-radius: 24px;
}

.radio-top-left-24 {
    border-top-left-radius: 24px;
}

.radio-top-right-24 {
    border-top-right-radius: 24px;
}

.radio-32 {
    border-radius: 32px;
}

.fs-s {
    font-size: 0.875rem;
}

.fs-m {
    font-size: 1rem;
}

.fs-l {
    font-size: 1.125rem;
}

.fs-xl {
    font-size: 1.25rem;
}

.fs-b {
    font-size: 1.5rem;
}

.box-shadow-def {
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.16);
}

body {
    font-family: "Noto Sans TC", sans-serif;
    width: 100%;
    height: 100vh;
    background-image: url("/Images/bg-green.png");
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    z-index: -1;
    padding: 56px 0;
    overflow-y: hidden;
}

    body::before {
        content: "";
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        background-color: rgba(0, 0, 0, 0.12);
        z-index: -1;
    }

.chat-wrap {
    border-radius: 24px;
    overflow-y: hidden;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.16);
}

    .chat-wrap .chat-content {
        border-top-left-radius: 32px;
        border-top-right-radius: 32px;
        background-color: rgb(240, 255, 240);
        padding: 24px 24px 0;
    }

        .chat-wrap .chat-content::-webkit-scrollbar-track {
            background-color: transparent;
        }

        .chat-wrap .chat-content::-webkit-scrollbar {
            width: 6px;
            background-color: transparent;
        }

        .chat-wrap .chat-content::-webkit-scrollbar-thumb {
            background-color: rgb(0, 117, 75);
            border-radius: 32px;
        }

        .chat-wrap .chat-content .message-wrap {
            margin-bottom: 36px;
        }

.message {
    display: flex;
    margin-bottom: 24px;
}

    .message .message-img {
        width: 56px;
        height: 56px;
        background-color: white;
        border-radius: 50%;
        margin-right: 16px;
        box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.16);
    }

    .message .message-box-time {
        display: block;
        font-size: 0.875rem;
        margin-bottom: 2px;
    }

    .message .message-box {
        background-color: white;
        padding: 16px;
        word-break: break-all;
        border-radius: 24px;
        box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.16);
    }

    .message.robot .message-img {
        background-image: url("/Images/logo-circle.png");
        background-position: center center;
        background-repeat: no-repeat;
        background-size: contain;
    }

    .message.robot .message-box {
        border-top-left-radius: 0;
    }

    .message.robot .swiper .list-group-item:hover {
        background-color: rgb(0, 117, 75);
        color: #ffffff;
    }

    .message.robot .swiper .swiper-button-next:after,
    .message.robot .swiper .swiper-button-prev:after {
        display: none;
    }

    .message.user {
        justify-content: flex-end;
    }

        .message.user .message-box-time {
            text-align: right;
        }

        .message.user .message-box {
            border-top-right-radius: 0;
            background-color: rgb(0, 117, 75);
            color: #ffffff;
        }

.chat-tab .nav {
    padding: 16px 24px;
    background-color: rgb(240, 255, 240);
}

    .chat-tab .nav button {
        background-color: white;
    }

        .chat-tab .nav button:hover, .chat-tab .nav button.active {
            background-color: rgb(0, 117, 75);
            color: white;
            border-color: transparent;
        }

.chat-tab .tab-content {
    background-color: white;
    padding: 12px 24px;
}

    .chat-tab .tab-content .input-send {
        background-color: #dddddd;
        border-color: transparent;
        padding-left: 16px;
    }

        .chat-tab .tab-content .input-send::-moz-placeholder {
            color: #454545;
        }

        .chat-tab .tab-content .input-send:-ms-input-placeholder {
            color: #454545;
        }

        .chat-tab .tab-content .input-send::placeholder {
            color: #454545;
        }

    .chat-tab .tab-content .btn-send {
        width: 48px;
        height: 48px;
        font-size: 1.25rem;
    }

.chat-tab .swiper .swiper-slide {
    border-left: 1px solid #bbbbbb;
}

    .chat-tab .swiper .swiper-slide:first-child {
        border-left: none;
    }

    .chat-tab .swiper .swiper-slide button {
        padding: 0;
    }

        .chat-tab .swiper .swiper-slide button:hover {
            color: rgb(0, 117, 75);
        }

        .chat-tab .swiper .swiper-slide button:active {
            border-color: transparent;
        }

.chat-tab .swiper .swiper-button-next {
    right: 0;
}

.chat-tab .swiper .swiper-button-prev {
    left: 0;
}

    .chat-tab .swiper .swiper-button-next:after,
    .chat-tab .swiper .swiper-button-prev:after {
        display: none;
    }

.loader,
.loader:before,
.loader:after {
    border-radius: 50%;
    width: 0.75rem;
    height: 0.75rem;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    -webkit-animation: bblFadInOut 1.2s infinite ease-in-out;
    animation: bblFadInOut 1.2s infinite ease-in-out;
}

.loader {
    display: inline-block;
    color: #bbbbbb;
    font-size: 7px;
    position: relative;
    top: -2.5em;
    margin: 0 32px;
    text-indent: -9999em;
    -webkit-animation-delay: -0.16s;
    animation-delay: -0.16s;
}

    .loader:before,
    .loader:after {
        content: "";
        position: absolute;
        top: 0;
    }

    .loader:before {
        left: -3em;
        -webkit-animation-delay: -0.32s;
        animation-delay: -0.32s;
    }

    .loader:after {
        left: 3em;
    }

@-webkit-keyframes bblFadInOut {
    0%, 80%, 100% {
        box-shadow: 0 2.5em 0 -1.3em;
    }

    40% {
        box-shadow: 0 2.5em 0 0;
    }
}

@keyframes bblFadInOut {
    0%, 80%, 100% {
        box-shadow: 0 2.5em 0 -1.3em;
    }

    40% {
        box-shadow: 0 2.5em 0 0;
    }
}

@media (max-width: 575px) {
    body {
        padding: 0;
    }

    .chat-wrap {
        border-radius: 0;
    }
}
